VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::std::LocalizableMessage Class Reference

The `LocalizableMessage` class represents a localizable string or message template. More...

List of all members.

## Public Member Functions
| LocalizableMessage ()
| Creates a default new instance.
string | GetId ()
| Unique identifier of the localizable string or message template.
void | SetId (string id)
| Unique identifier of the localizable string or message template.
string | GetDefaultMessage ()
| The value of this localizable string or message template in the `en_US` (English) locale.
void | SetDefaultMessage (string defaultMessage)
| The value of this localizable string or message template in the `en_US` (English) locale.
global::System.Collections.Generic.List < string > | GetArgs ()
| Arguments to be substituted into a message template.
void | SetArgs (global::System.Collections.Generic.List< string > args)
| Arguments to be substituted into a message template.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LocalizableMessage` class represents a localizable string or message template.

Interfaces include one or more localizable message templates in the errors they report so that clients can display diagnostic messages in the native language of the user. Interfaces can include localizable strings in the data returned from methods to allow clients to display localized status information in the native language of the user.

## Constructor & Destructor Documentation

vmware::vapi::std::LocalizableMessage::LocalizableMessage | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::std::LocalizableMessage::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::std::LocalizableMessage::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::std::LocalizableMessage::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::std::LocalizableMessage::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::std::LocalizableMessage::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::std::LocalizableMessage::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<string> vmware::vapi::std::LocalizableMessage::GetArgs | ( |  | ) | `[inline]`

Arguments to be substituted into a message template.

string vmware::vapi::std::LocalizableMessage::GetDefaultMessage | ( |  | ) | `[inline]`

The value of this localizable string or message template in the `en_US` (English) locale.

If LocalizableMessage.id refers to a message template, the default message will contain the substituted arguments. This value can be used by clients that do not need to display strings and messages in the native language of the user. It could also be used as a fallback if a client is unable to access the appropriate message catalog.

override int vmware::vapi::std::LocalizableMessage::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::std::LocalizableMessage::GetId | ( |  | ) | `[inline]`

Unique identifier of the localizable string or message template.

This identifier is typically used to retrieve a locale-specific string or message template from a message catalog.

void vmware::vapi::std::LocalizableMessage::SetArgs | ( | global::System.Collections.Generic.List< string > | args | ) | `[inline]`

Arguments to be substituted into a message template.

void vmware::vapi::std::LocalizableMessage::SetDefaultMessage | ( | string | defaultMessage | ) | `[inline]`

The value of this localizable string or message template in the `en_US` (English) locale.

If LocalizableMessage.id refers to a message template, the default message will contain the substituted arguments. This value can be used by clients that do not need to display strings and messages in the native language of the user. It could also be used as a fallback if a client is unable to access the appropriate message catalog.

void vmware::vapi::std::LocalizableMessage::SetId | ( | string | id | ) | `[inline]`

Unique identifier of the localizable string or message template.

This identifier is typically used to retrieve a locale-specific string or message template from a message catalog.

override string vmware::vapi::std::LocalizableMessage::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LocalizableMessage.cs